블로그 이미지
잡초 개발자의 좌충우돌 이야기 yysvip

카테고리

분류 전체보기 (211)
Java Programing (24)
Web Programing (20)
Database (36)
Tool (46)
까칠한 IT (27)
까칠한 정보 (42)
까칠한 Strory (16)
까칠한 Project (0)
Total1,164,498
Today4,465
Yesterday4,153

달력

« » 2018.12
            1
2 3 4 5 6 7 8
9 10 11 12 13 14 15
16 17 18 19 20 21 22
23 24 25 26 27 28 29
30 31          

공지사항

ORA-01460: 요구된 변환은 실행될 수 없습니다

  까칠한 남자 Strory       yysvip.tistory.com       잡초 개발자 까찰한 쑤의 좌충우돌 개발 이야기

 

 

ORA-01460: 요구된 변환은 실행될 수 없습니다

ORA-01460: unimplemented or unreasonable conversion requested

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
범례
─────────────────────────────────────────────
  
대문자 : Reserved Word (오라클 예약어)
  
소문자 : User Define (사용자가 직접 입력해야 하는 부분)
   [ ] : Option (
지정하지 않아도 되거나 생략시 기본 설정값으로 대체됨)
   or : Choice(
여러가지중 하나를 선택한다)
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━


오류내용
─────────────────────────────────────────────
 

ORA-01460: unimplemented or unreasonable conversion requested


   ▷ TOAD : 
유니코드를 제대로 지원하지 않아 발생하는 오류

   ▷ JAVA : 오라클 사용시 사용되는 classes12.jar/ojdbc?.jar가 이전버전 인 경우 발생하는 오류

 

 

처리방법
─────────────────────────────────────────────

   ▶ TOAD로그인 화면(그림참조)에서 Password 입력하는 부분 아래에 Connection Option

       나타난다
  
     
여기 옵션중 "SQL*NET Compatible Net8" Check한 후 로그인하면 된다.
  
      TOAD Version 6
이상에서는 Show Connection Options 가 나타나면서 옵션이 보이지 않는
     
경우가 있다.
     
이때에는 Show Connection Options을 클릭하여 옵선을 보이게 한 후 Check하면 된다.

 

   ▶ 사용하는 오라클 버전에 맞는 classes12.jar를 다운로드 받아 라이브러리 폴더/CLASS PATH안에 넣어준다

 

oracle JDBC Driver Downloads

 

[출처]

oracle, mssql, mysql 다운로드 및 jdbc 설정 방법 |작성자이중인격
  Oracle Database 11g Release 1 (11.1.0.6) drivers:
   http://www.oracle.com/technology/software/tech/java/sqlj_jdbc/htdocs/jdbc_111060.html
   ojdbc5.jar - Classes for use with JDK 1.5
  Oracle Database 10g Release 2 (10.2.0.4), (10.2.0.3), (10.2.0.2), (10.2.0.1.0) drivers:
   http://www.oracle.com/technology/software/tech/java/sqlj_jdbc/htdocs/jdbc_10201.html
   classes12.jar - for use with JDK 1.2 and JDK 1.3
   ojdbc14.jar - classes for use with JDK 1.4 and 1.5
  Oracle Database 10g (10.1.0.5), (10.1.0.4), (10.1.0.2.0) drivers:
   http://www.oracle.com/technology/software/tech/java/sqlj_jdbc/htdocs/jdbc101040.html
   classes12.jar - for use with JDK 1.2 and JDK 1.3
   ojdbc14.jar - classes for use with JDK 1.4
  Oracle9i Release 2 (9.2.0.8), (9.2.0.5), (9.2.0.4), (9.2.0.3), & (9.2.0.1) drivers:
   http://www.oracle.com/technology/software/tech/java/sqlj_jdbc/htdocs/jdbc9201.html
   ojdbc14.jar - For use with JDK 1.4
   classes12.jar - For use with JDK 1.2 and JDK 1.3
  Oracle9i Release 1 (9.0.1.4) & (9.0.1) drivers
   http://www.oracle.com/technology/software/tech/java/sqlj_jdbc/htdocs/jdbc901.html
   classes12.jar - For use with JDK 1.2 and JDK 1.3

 

[출처] ORA-01460: 요구된 변환은 실행될 수 없습니다|작성자 이지

Posted by yysvip

최근에 달린 댓글

최근에 받은 트랙백

글 보관함